{"components":{"schemas":{"Address":{"description":"Registered address","properties":{"addressLines":{"description":"List of address lines","items":{"description":"List of address lines","type":"string"},"type":"array"},"countryCode":{"description":"Country code","type":"string"},"countryText":{"description":"Country text","type":"string"},"municipalityCode":{"description":"Municipality code","type":"string"},"municipalityText":{"description":"Municipality text","type":"string"},"postalTown":{"$ref":"#/components/schemas/PostalTown"}},"type":"object"},"AddressInformation":{"description":"Known addresses of the establishment","properties":{"postalAddress":{"$ref":"#/components/schemas/Address"},"registeredAddress":{"$ref":"#/components/schemas/Address"}},"type":"object"},"BadRequest":{"description":"Returned when something is wrong in the request, e.g. failed argument validation or missed argument","properties":{"attributes":{"description":"Invalid attributes","items":{"$ref":"#/components/schemas/RequestAttribute"},"type":"array"},"error":{"default":"BadRequest","description":"Error name","type":"string"},"message":{"default":"Required arguments are missing in the request","description":"Description of the request error","type":"string"}},"type":"object"},"CodeAndText":{"description":"Establishment type code and text","properties":{"code":{"type":"string"},"text":{"type":"string"}},"type":"object"},"Contact":{"description":"Establishment additional contact information","properties":{"webAddress":{"description":"Web page address","type":"string"}},"type":"object"},"EmployeeDetails":{"description":"Data regarding employee number","properties":{"hasEmployees":{"description":"The company is registered as employer in NAV aa-register (true/false)","type":"boolean"},"numberEmployees":{"description":"Number of employees (if 1-4 employees, this field will not exist. 0 = the company has not registered any employees)","format":"int32","type":"integer"}},"type":"object"},"Establishment":{"properties":{"addressInformation":{"$ref":"#/components/schemas/AddressInformation"},"companyId":{"description":"Establishment organization number","type":"string"},"companyName":{"description":"Establishment name","type":"string"},"contact":{"$ref":"#/components/schemas/Contact"},"employees":{"$ref":"#/components/schemas/EmployeeDetails"},"enhetsregisteretRegistrationDate":{"description":"Establishment registration date (Date in ISO 8601 standard)","type":"string"},"finishDate":{"description":"Establishment ending date","type":"string"},"foundationRegistrationDate":{"description":"Establishment foundation date","type":"string"},"industry":{"$ref":"#/components/schemas/CodeAndText"},"legalGroup":{"$ref":"#/components/schemas/CodeAndText"},"ownerChangeDate":{"description":"Date of change of ownership of the establishment","type":"string"},"removedDate":{"description":"Date of removal from register of the establishment","type":"string"},"vatRegistration":{"description":"If registered for VAT, true/false","type":"boolean"},"vatRegistrationText":{"description":"Free text used when the establishment is voluntarily registered for VAT. Describes the activity","items":{"description":"Free text used when the establishment is voluntarily registered for VAT. Describes the activity","type":"string"},"type":"array"}},"type":"object"},"EstablishmentsResult":{"properties":{"changeDate":{"description":"Date for the latest change (Date in ISO 8601 standard)","type":"string"},"companyId":{"description":"National identifier for the company which has establishments","type":"string"},"establishments":{"description":"List of all establishments connected to the company","items":{"$ref":"#/components/schemas/Establishment"},"type":"array"}},"type":"object"},"PostalTown":{"description":"Postal town information","properties":{"city":{"description":"City","type":"string"},"zipCode":{"description":"Zip code","type":"string"}},"type":"object"},"RequestAttribute":{"description":"Incorrect attribute of request","properties":{"attribute":{"description":"Parameter name","type":"string"},"value":{"description":"Parameter value, subject for validation","type":"string"}},"type":"object"},"SearchResultStatus":{"description":"Description of search result","properties":{"code":{"description":"0 - found, 1 - not found","format":"int32","type":"integer"},"text":{"description":"search result description","type":"string"}},"type":"object"},"ServerError":{"description":"Internal server error","properties":{"error":{"default":"InternalServerError","description":"Error name","type":"string"},"message":{"default":"An internal server error occurred, please contact the system administrator with information on the error","description":"Description of the request error","type":"string"}},"type":"object"},"UnitsWrapper":{"properties":{"records":{"items":{"$ref":"#/components/schemas/EstablishmentsResult"},"type":"array"},"status":{"$ref":"#/components/schemas/SearchResultStatus"}},"type":"object"}},"securitySchemes":{"OAuth2":{"description":"All requests require authentication via OAuth2 client credentials.\n\nBase URL: https://api.roaring.io\n\n1. Obtain a Consumer key and Consumer secret from https://developer.roaring.io/keys\n   (separate sandbox and production pairs).\n2. Request an access token by POSTing to the token endpoint:\n\n   POST https://api.roaring.io/token\n   Content-Type: application/x-www-form-urlencoded\n   Authorization: Basic base64(consumer-key:consumer-secret)\n\n   body: grant_type=client_credentials\n\n   Tokens are valid for 3600 seconds. The response contains an access_token of\n   type Bearer.\n3. Send the access token on every API call:\n\n   Authorization: Bearer <access_token>","flows":{"clientCredentials":{"tokenUrl":"https://api.roaring.io/token","scopes":{}}},"type":"oauth2"}}},"info":{"description":"Company Establishments/Local Units\n\nAll requests require authentication via OAuth2 client credentials.\n\nBase URL: https://api.roaring.io\n\n1. Obtain a Consumer key and Consumer secret from https://developer.roaring.io/keys\n   (separate sandbox and production pairs).\n2. Request an access token by POSTing to the token endpoint:\n\n   POST https://api.roaring.io/token\n   Content-Type: application/x-www-form-urlencoded\n   Authorization: Basic base64(consumer-key:consumer-secret)\n\n   body: grant_type=client_credentials\n\n   Tokens are valid for 3600 seconds. The response contains an access_token of\n   type Bearer.\n3. Send the access token on every API call:\n\n   Authorization: Bearer <access_token>","title":"Company Establishments","version":"2.0","x-logo":{"url":"https://assets.roaring.io/svg/work-places-icon-v3.svg"}},"openapi":"3.0.1","paths":{"/{companyId}":{"get":{"description":"AsOfDate supported","operationId":"view","parameters":[{"description":"id of company","in":"path","name":"companyId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnitsWrapper"}}},"description":"OK, successful response"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequest"}}},"description":"Returned when something is wrong in the request, e.g. failed argument validation or arguments are missing"},"404":{"description":"Requested resource could not be found"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServerError"}}},"description":"An internal server error occurred, please contact the system administrator with information on the error"}},"summary":"Fetch all company establishments.","tags":["EstablishmentsNo"]}}},"security":[{"OAuth2":[]}],"servers":[{"url":"https://api.roaring.io/no/company/establishment/2.0"}],"x-category":"company","x-countries":["no"],"x-id":"EstablishmentsApiNo"}